## mars.mips.instructions.syscalls
Class SyscallReadInt

    java.lang.Object
      mars.mips.instructions.syscalls.AbstractSyscall
          mars.mips.instructions.syscalls.SyscallReadInt

All Implemented Interfaces:
  Syscall

    public class SyscallReadInt

extends AbstractSyscall

Service to read an integer from input console into $v0.

Constructor Summary
`SyscallReadInt()` Build an instance of the Read Integer syscall.

Method Summary
`void` `simulate(ProgramStatement statement)` Performs syscall function to read an integer from input console into $v0

Methods inherited from class mars.mips.instructions.syscalls.AbstractSyscall
`getName, getNumber, setNumber`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SyscallReadInt

    public SyscallReadInt()

  Build an instance of the Read Integer syscall. Default service number is 5 and name is "ReadInt".

Method Detail

### simulate

    public void simulate(ProgramStatement statement)
                  throws ProcessingException

  Performs syscall function to read an integer from input console into $v0

  Specified by:
    `simulate` in interface `Syscall`
  Specified by:
    `simulate` in class `AbstractSyscall`
  Parameters:
    `statement` - ProgramStatement object for this syscall instruction.
  Throws:
    `ProcessingException`